
Partial Class WebUserControl
    Inherits System.Web.UI.UserControl
    ' ------------------------------------------------------------------------------------------------------------------------
    ' The Zone Manager menu uses an XML file as the datasource for the menu. By changing the contents of this file it is
    ' possible to set what will appear in the menu. The users provileges are coordinated with the menu by use of the "Tagstring"
    ' Element in the Item.  The Tagstring corresponds with the Tag of an Item in code.
    '
    ' Currently 14.01.2010 four privilege values are checked by code and matched with Tagstring
    '
    '  Tagstring               Privilege in this Code       Privilege in ZM
    '  ---------               ----------------------       ---------------- 
    '  "EnterBooking"           EnterBookingPriv            Trade Contractor Booking
    '  "Gate"                   GatePriv                    Gate Booking
    '  "Holding Park"           LorryParkPriv               Holding Park
    '  "Admin"                  AdminPriv                   Admin
    ' ------------------------------------------------------------------------------------------------------------------------
    Dim GatePriv As Boolean, EnterBookingPrivVal As Boolean, LorryParkPriv As Boolean

 
    Public ReadOnly Property AdminPriv() As Boolean
        Get
            If InStr(AccessModetxt.Text, "Admin") Then
                AdminPriv = True
            Else
                AdminPriv = False
            End If
        End Get

    End Property
    Public ReadOnly Property WritePriv() As Boolean
        Get
            If InStr(AccessModetxt.Text, "ReadOnly") Then
                WritePriv = False
            Else
                WritePriv = True
            End If
        End Get

    End Property

    Public ReadOnly Property EnterBookingPriv() As Boolean
        Get
            EnterBookingPriv = EnterBookingPrivVal
        End Get
    End Property
End Class
